/*
 * DMLib
 * -- Resource management write helpers
 * Programmed and designed by Matti 'ccr' Hamalainen
 * (C) Copyright 2011-2015 Tecnic Software productions (TNSP)
 */
#ifndef DMRESW_H
#define DMRESW_H

#include "dmres.h"

#ifdef __cplusplus
extern "C" {
#endif

int          dmf_write_str(DMResource *, const void *, const size_t);
BOOL         dmf_write_byte(DMResource *, const Uint8);

#define DM_DEFINE_FFUNC(xname, xtype, z)          \
BOOL         dmf_write_ ## xname (DMResource *fh, const xtype v);

#include "dmfiletmpl.h"

#undef DM_DEFINE_FFUNC

#ifdef __cplusplus
}
#endif

#endif // DMRESW_H
